#ifdef(NewIOR_Inc_Temp)
    // do nothing
#else
    #declare NewIOR_Inc_Temp = version;
    #version 3.1;
    #ifdef(View_POV_Include_Stack)
        #debug "including NewIOR.inc\n"
    #end

/*********************************************************************************

                      IOR-values added by Sven-Erik Andersen
                     

Currently holds 117 different materials/IOR's. This update (cleanup) on
March 30., 1999. The list may have various IOR for the same substance,
that is becouse I have found different values in different sources, or
it's for differnt wavelengths.

The names of many of the crystalls have been transcribed to latin letters from
russian, and the resulting names may not be the correct english ones, those that
I didn't recognice I have left as is, but if someone should happen to recognice
any, and knows the correct english name, then please Email me! Those that I am
not shure on has  added to the comment.

A little comment on these crystalls. Where I have a range of values for a
substance, (#declare Beryll_Ior_1  = 1.585  // 1.568-1.602)
                                               ^^^^^^^^^^^
I took the average value for that range (some crystalls have several
valueranges).

Comments, add-ons, corrections etc. (much appreciated) to

Email    :  <seasoft@mailcity.com>
snailmail:  Sven-Erik Andersen
            Langneshgda 5A
            N-8624 Mo I Rana
            NORWAY.

**********************************************************************************
*********************************** DEFINITION ***********************************
**********************************************************************************
** STP = Standard Temperature and Pressure 20C and 1 atm. pressure (720 mm Hg) **
**********************************************************************************

Contributors:
  - Mikhail Elashkin <artimind@aoi.isrir.msk.su> from the
    Independent Group "Developing Games Software", Russia, Moscow

*********************************************************************************/

/////////////////////////////////////////////////
//                   <a name="Gass">GASS</a>                      //
/////////////////////////////////////////////////
#declare Air_STP_Ior                  = 1.00029;
#declare Air_Ior                      = 1.000292;
#declare Liquid_Carbon_Dioxide_Ior    = 1.20;
#declare Vacuum_Ior                   = 1.00000;


/////////////////////////////////////////////////
//                  GLASS                      //
/////////////////////////////////////////////////
#declare Crown_Glass_Ior_1            = 1.510;
#declare Crown_Glass_Ior_2            = 1.520;
#declare Crown_Glass_Red_Ior          = 1.513;
#declare Crown_Glass_Orange_Ior       = 1.514;
#declare Crown_Glass_Yellow_Ior       = 1.517;
#declare Crown_Glass_Green_Ior        = 1.519;
#declare Crown_Glass_Blue_Ior         = 1.528;
#declare Crown_Glass_Violet_Ior       = 1.532;
#declare Zinc_Crown_Glass_Ior         = 1.517;
#declare Glass_Ior                    = 1.500;
#declare Flint_Glass_Ior              = 1.710;
#declare Heaviest_Flint_Glass_Ior     = 1.890;
#declare Heavy_Flint_Glass_Ior        = 1.650;
#declare Light_Flint_Glass_Ior        = 1.575;
#declare Amorphous_Selenium_Ior       = 2.920;  // Red glass


/////////////////////////////////////////////////
//          GEM-STONES, CRYSTALLS etc.         //
/////////////////////////////////////////////////
#declare Alexandrit_Ior_1             = 1.753;  // ((K)Hrisoberil) yellow, 
#declare Alexandrit_Ior_2             = 1.747;  // yellow-green, red in 
#declare Alexandrit_Ior_3             = 1.744;  // artificial light. 
#declare Amber_Ior_1                  = 1.546;
#declare Amber_Ior_2                  = 1.535;  // 1.53-1.54
#declare Bariumdifluorid_Ior          = 1.470;  // BaF2
#declare Beryll_Ior_1                 = 1.585;  // 1.568-1.602
#declare Beryll_Ior_2                 = 1.5795; // 1.564-1.595
#declare Birusa_Ior_1                 = 1.650;  // bright blue and green 
#declare Birusa_Ior_2                 = 1.620;  // 
#declare Birusa_Ior_3                 = 1.610;  // 
#declare Calcite_Ior                  = 1.600;  // CaCO3
#declare Cadmium_sulfide_Ior          = 2.340;  // CdS. Greenockite
#declare Calciumdifluorid_Ior         = 1.430;  // CaF2
#declare Calspar1_Ior                 = 1.660;
#declare Calspar2_Ior                 = 1.486;
#declare Chalcedony_Ior_1             = 1.5415; // 1.539-1.544
#declare Chalcedony_Ior_2             = 1.5305; // 1.526-1.535
#declare Corundum_Ior                 = 1.750;  // Aluminium oxide/Al2O3. Ionic crystal.
                                                // Commonly Al2O3 contains small amounts of
                                                // impurities that produce beautiful colored
                                                // crystals. Cr(3+)-containing Al2O3 constitutes
                                                // ruby (red color). Ti(4+) impurities produce blue
                                                // crystals and are a variety of blue sapphire.
#declare Crystal_Ior                  = 2.000;;
#declare Diamond_Ior_1                = 2.470;
#declare Diamond_Ior_2                = 2.417;
#declare Emerald_Ior                  = 1.570;
#declare Fluorite_Ior                 = 1.434;  // Colorless
#declare Fused_Quartz_Ior             = 1.460;
#declare Granat_Ior                   = 1.755;  // 1.705-1.805
#declare Ice_Ior                      = 1.309;
#declare Iodine_Crystal_Ior           = 3.340;
#declare Lapis_Lazuli_Ior             = 1.610;
#declare Lazurite_Ior                 = 1.498;  // Blue. 1.495-1.501
#declare Lithiumfluoride_Ior          = 1.390;  // LiF
#declare Magnesiumdifluorid_Ior       = 1.380;  // MgF2
#declare Magnesium_oxide_Ior          = 1.700;  // MgO. Ionic crystal.
#declare Malakhit_Ior_1               = 1.9091; // Green-black 
#declare Malakhit_Ior_2               = 1.875;  // 
#declare Malakhit_Ior_3               = 1.655;  // 
#declare Obsidian_Ior                 = 1.482;
#declare Olivin_Ior_1                 = 1.670;  // Colorless, yellow, green, black
#declare Olivin_Ior_2                 = 1.651;
#declare Olivin_Ior_3                 = 1.685;
#declare Opal_Ior                     = 1.430;  // 1.40-1.46
#declare Potassium_Aluminia_Ior       = 1.456;  // (KAl[SO4]2*12H20) colorless 
#declare Potassiumbromide_Ior         = 1.560;  // KBr
#declare Potassiumchloride_Ior        = 1.490;  // KCl
#declare Potassiumfluorid_Ior         = 1.360;  // KF
#declare Potassium_di_H_orthophosphate_Ior = 1.500;  // KH2PO4
#declare Rhodonit_Ior_1               = 1.7275; // Dark pink. 1.723-1.732 
#declare Rhodonit_Ior_2               = 1.7285; // 1.716-1.741 
#declare Rhodonit_Ior_3               = 1.7245; // 1.711-1.738 
#declare Rhutil_Ior_1                 = 2.900;  // Pale yellow 
#declare Rhutil_Ior_2                 = 2.610;  // Pale yellow 
#declare Ruby_Ior                     = 1.770;
#declare Sapphire_Ior                 = 1.700;
#declare Silicon_oxide_1_Ior          = 1.600;  // SiO2. Ionic solid. It can be found in
                                                // many crystalline forms. The value of
                                                // 1.60 lies in the range of refraction
                                                // indices found in quartz.
#declare Silicon_oxide_2_Ior          = 1.400;
#declare Silvin_Ior                   = 1.490;  // (KCl) colorless 
#declare Sodiumbromide_Ior            = 1.640;  // NaBr
#declare Sodium_Chloride_Salt_1_Ior   = 1.544;
#declare Sodium_Chloride_Salt_2_Ior   = 1.644;
#declare Sodium_Chloride_Salt_3_Ior   = 1.500;
#declare Spodumen_Ior_1               = 1.6785; // White, pink, green. 1.676-1.681 
#declare Spodumen_Ior_2               = 1.6655; // 1.660-1.671 
#declare Spodumen_Ior_3               = 1.6595; // 1.651-1.668 
#declare Strontiumdifluorid_Ior       = 1.440;  // SrF2
#declare Topaz_Ior_1                  = 1.610;
#declare Topaz_Ior_2                  = 1.6275; // 1.617-1.638
#declare Topaz_Ior_3                  = 1.620;  // 1.609-1.631
#declare Topaz_Ior_4                  = 1.6175; // 1.606-1.629
#declare Tooth_structure_enamel_Ior   = 1.655;
#declare Tselestin_Ior_1              = 1.630;  // Celestin? 
#declare Tselestin_Ior_2              = 1.624;  // 
#declare Tselestin_Ior_3              = 1.622;  // 
#declare Tourmaline_Ior_1             = 1.666;  // Black, green, red,  1.640-1.692
#declare Tourmaline_Ior_2             = 1.6385; // Indigo, polychrome. 1.620-1.657
#declare Quartz_1_Ior                 = 1.644;
#declare Quartz_2_Ior                 = 1.553;
#declare Zhadeit_Ior_1                = 1.6765; // Looks like nephrite, 1.665-1.688 
#declare Zhadeit_Ior_2                = 1.665;  // 1.657-1.673 
#declare Zhadeit_Ior_3                = 1.660;  // 1.654-1.666 
#declare Zinc_oxide_Ior               = 1.960;  // ZnO. Also called zincite. Ionic crystal.
#declare Zinc_sulfide_Ior             = 2.400;  // ZnS. Common name is zinc blende. Ionic crystal
                                                // having a beautiful redish yellow color.


/////////////////////////////////////////////////
//                   LIQUIDS                   //
/////////////////////////////////////////////////
#declare Acetone_Ior                  = 1.360;
#declare Alcohol_Ior                  = 1.329;
#declare Asphalt_Ior                  = 1.635;  // The hydro-carbon, not the road-asphalt :)
#declare Benzen_Ior                   = 1.500;
#declare Ethyl_Alcohol_Ior            = 1.360;
#declare Flourite_Ior                 = 1.434;
#declare Sugar_Solution_30_Ior        = 1.380;  // 30% solution
#declare Sugar_Solution_80_Ior        = 1.490;  // 80% solution
#declare Water_20_C_Ior               = 1.333;  // 20 degrees Celsius
#declare Carbondisulfide_Ior          = 1.630;
#declare Canada_balsam_Ior            = 1.530;  // Used as glue for optics.


/////////////////////////////////////////////////
//                   VARIOUS                   //
/////////////////////////////////////////////////
#declare Polystyrene_Ior              = 1.550;  // Plastic
#declare Gum_arabic_Ior               = 1.480;  //
#declare Ivory_Ior                    = 1.539;  // ???
#declare Gelatin_Ior                  = 1.520;
#declare Aloe_Ior                     = 1.619;
#declare SBN_Ior                      = 2.400;  // SulphurBoronNitrogen ???

    #version NewIOR_Inc_Temp
#end
// END OF FILE IOR_PLUS.INC